http://mediaconvert.{region}.amazonaws.com/2017-08-29/jobTemplatesCreate a new job template. For information about job templates see the User Guide at http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html
The name of the job template you are creating.
The tags that you want to add to the resource. You can tag resources with a key-value pair or with only a key.
Optional. The queue that jobs created from this template are assigned to. If you don't specify this, jobs will go to the default queue.
Optional. A category for the job template you are creating
Specify the relative priority for this job. In any given queue, the service begins processing the job with the highest value first. When more than one job has the same priority, the service begins processing the job that you submitted first. If you don't specify a priority, the service uses the default value 0.
JobTemplateSettings contains all the transcode settings saved in the template that will be applied to jobs created from it.
Optional. A description of the job template you are creating.
Optional. Use queue hopping to avoid overly long waits in the backlog of the queue that you submit your job to. Specify an alternate queue and the maximum time that your job will wait in the initial queue before hopping. For more information about this feature, see the AWS Elemental MediaConvert User Guide.
Accelerated transcoding can significantly speed up jobs with long, visually complex content.
Specify how often MediaConvert sends STATUS_UPDATE events to Amazon CloudWatch Events. Set the interval, in seconds, between status updates. MediaConvert sends an update at this interval from the time the service begins processing your job to the time it completes the transcode or encounters an error.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://mediaconvert.{region}.amazonaws.com/2017-08-29/jobTemplates' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://mediaconvert.{region}.amazonaws.com/2017-08-29/jobTemplatesCreate a new job template. For information about job templates see the User Guide at http://docs.aws.amazon.com/mediaconvert/latest/ug/what-is.html
The name of the job template you are creating.
The tags that you want to add to the resource. You can tag resources with a key-value pair or with only a key.
Optional. The queue that jobs created from this template are assigned to. If you don't specify this, jobs will go to the default queue.
Optional. A category for the job template you are creating
Specify the relative priority for this job. In any given queue, the service begins processing the job with the highest value first. When more than one job has the same priority, the service begins processing the job that you submitted first. If you don't specify a priority, the service uses the default value 0.
JobTemplateSettings contains all the transcode settings saved in the template that will be applied to jobs created from it.
Optional. A description of the job template you are creating.
Optional. Use queue hopping to avoid overly long waits in the backlog of the queue that you submit your job to. Specify an alternate queue and the maximum time that your job will wait in the initial queue before hopping. For more information about this feature, see the AWS Elemental MediaConvert User Guide.
Accelerated transcoding can significantly speed up jobs with long, visually complex content.
Specify how often MediaConvert sends STATUS_UPDATE events to Amazon CloudWatch Events. Set the interval, in seconds, between status updates. MediaConvert sends an update at this interval from the time the service begins processing your job to the time it completes the transcode or encounters an error.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://mediaconvert.{region}.amazonaws.com/2017-08-29/jobTemplates' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}